Download Usage Runs Report
curl --request GET \
--url https://api.peachdeskai.com/api/v1/organizations/usage/runs/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/organizations/usage/runs/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/organizations/usage/runs/report")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/organizations/usage/runs/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Download Usage Runs Report
Download a CSV of runs matching the same filters as /usage/runs.
GET
/
api
/
v1
/
organizations
/
usage
/
runs
/
report
Download Usage Runs Report
curl --request GET \
--url https://api.peachdeskai.com/api/v1/organizations/usage/runs/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/organizations/usage/runs/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/organizations/usage/runs/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/organizations/usage/runs/report")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/organizations/usage/runs/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Query Parameters
ISO 8601 date-time string (UTC). Lower bound (inclusive) on created_at.
ISO 8601 date-time string (UTC). Upper bound (inclusive) on created_at.
JSON-encoded array of filter objects. Each object has the shape:
{ "attribute": "<name>", "type": "<type>", "value": <value> }
Supported attribute / type / value combinations:
| attribute | type | value shape | matches |
|---|---|---|---|
runId | number | { "value": 12345 } | exact run id |
workflowId | number | { "value": 42 } | exact agent (workflow) id |
campaignId | number | { "value": 7 } | exact campaign id |
callerNumber | text | { "value": "415555" } | substring match on initial_context.caller_number |
calledNumber | text | { "value": "9911848" } | substring match on initial_context.called_number |
dispositionCode | multiSelect | { "codes": ["XFER", "DNC"] } | any of the codes in gathered_context.mapped_call_disposition |
duration | numberRange | { "min": 60, "max": 300 } | call duration (seconds), inclusive bounds |
Unknown attributes and unsupported type values are silently ignored.
Date filtering on this endpoint is done via the dedicated start_date / end_date query params, not via a dateRange filter object.
Response
Successful Response

